Package org.eclipse.draw2d.graph

# Class NodeList

java.lang.Object
java.util.AbstractCollection<Node>
java.util.AbstractList<Node>
java.util.ArrayList<Node>
org.eclipse.draw2d.graph.NodeList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Node>`, `Collection<Node>`, `List<Node>`, `RandomAccess`, `SequencedCollection<Node>`

Direct Known Subclasses:
  `Rank`

public class NodeList extends ArrayList<Node>
A list containing nodes.

Since:
  2.1.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`NodeList()`
Constructs an empty NodeList.
`NodeList(NodeList list)`
Constructs a NodeList with the elements from the specified list.

## Method Summary

Modifier and Type
Method
Description
`Node`
`getNode(int index)`
Deprecated, for removal: This API element is subject to removal in a future version.
use Use `ArrayList.get(int)` instead.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll, reversed`

## Constructor Details

### NodeList

public NodeList()
Constructs an empty NodeList.

### NodeList

public NodeList(NodeList list)
Constructs a NodeList with the elements from the specified list.

Parameters:
  `list` - the list whose elements are to be added to this list

## Method Details

### getNode

@Deprecated(since="3.14", forRemoval=true) public Node getNode(int index)
Deprecated, for removal: This API element is subject to removal in a future version.
use Use `ArrayList.get(int)` instead.
Returns the Node at the given index.

Parameters:
  `index` - the index
Returns:
  the node at a given index